<?php

return array(
    array(
        'id' => 'wcct_campaign_settings',
        'title' => __('<i class="flicon flicon-weekly-calendar"></i> Schedule', WCCT_TEXTDOMAIN) . '<span class="wcct_load_spin wcct_load_tab_campaign"></span>',
        'position' => 3,
        'fields' => array(
            array(
                'name' => __('Type', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_type',
                'type' => 'radio_inline',
                'row_classes' => array('wcct_radio_btn', 'wcct_no_border'),
                'options' => array(
                    'fixed_date' => __("One Time", WCCT_TEXTDOMAIN),
                    'recurring' => __("Recurring <i class='dashicons dashicons-lock wcct_lock_upgrade'></i>", WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'onclick' => 'show_purchase_pop_on_change(event,this,\'recurring\');  '
                )
            ),
            array(
                'content' => __('One Time option allows you to run single campaign between two fixed dates.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_fixed_date_title',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_campaign_type',
                    'data-conditional-value' => 'fixed_date',
                ),
            ),
            // fixed date
            array(
                'name' => __('Start Date & Time', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_fixed_recurring_start_date',
                'type' => 'text_date',
                'row_classes' => array('wcct_combine_2_field_start'),
                'date_format' => 'Y-m-d',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_campaign_type',
                    'data-conditional-value' => 'fixed_date',
                ),
            ),
            array(
                'name' => __('Start Time', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_fixed_recurring_start_time',
                'type' => 'text_time',
                'row_classes' => array('wcct_combine_2_field_end'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_campaign_type',
                    'data-conditional-value' => 'fixed_date',
                )
            ),
            array(
                'name' => __('End Date & Time', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_fixed_end_date',
                'type' => 'text_date',
                'row_classes' => array('wcct_combine_2_field_start'),
                'date_format' => 'Y-m-d',
                'attributes' => array(
                    'data-validation' => 'required',
                    'data-conditional-id' => '_wcct_campaign_type',
                    'data-conditional-value' => 'fixed_date',
                ),
            ),
            array(
                'name' => __('End Time', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_fixed_end_time',
                'type' => 'text_time',
                'row_classes' => array('wcct_combine_2_field_end'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_campaign_type',
                    'data-conditional-value' => 'fixed_date',
                ),
            ),
            array(
                'name' => __('Campaign Help', WCCT_TEXTDOMAIN),
                'id' => '_wcct_campaign_help_html',
                'type' => 'wcct_html_content_field',
                'content' => __('Need Help? See docs on', WCCT_TEXTDOMAIN) . ' "<a target="_blank" href="'.add_query_arg( array('utm_source' => 'plugin-admin', 'utm_campaign' => 'finale', 'utm_medium' => 'form_fields', 'utm_term' => 'Help'), 'https://xlplugins.com/documentation/finale-woocommerce-sales-countdown-timer-scheduler-documentation/schedule/' ).'">' . __('Scheduling Campaigns', WCCT_TEXTDOMAIN) . '"</a> <i class="dashicons dashicons-editor-help"></i>',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_hide_label', 'wcct_html_help'),
            ),
        ),
    ),
    array(
        'id' => 'wcct_deal_price_settings',
        'title' => __('<i class="flicon flicon-money-bill-of-one"></i> Discount', WCCT_TEXTDOMAIN) . '<span class="wcct_load_spin wcct_load_tab_deal"></span>',
        'position' => 6,
        "fields" => array(
            array(
                'name' => __('Enable', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_enable_price_discount',
                'type' => 'wcct_switch',
                'row_classes' => array('wcct_no_border'),
                'default' => 0,
                'label' => array('on' => __('Yes', WCCT_TEXTDOMAIN), 'off' => __('No', WCCT_TEXTDOMAIN)),
                'wcct_accordion_title' => __('Pricing Discount', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => true,
            ),
            array(
                'content' => __('Enable this to set up sale on your products for the campaign duration.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_discount_amount_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
            ),
            array(
                'name' => __('Discount Amount', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_amount',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_text_extra_small'),
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_deal_enable_price_discount',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Type', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_type',
                'type' => 'select',
                'options' => array(
                    'percentage' => __("Percentage %", WCCT_TEXTDOMAIN),
                    'fixed_price' => __("Fixed Amount " . get_woocommerce_currency_symbol(), WCCT_TEXTDOMAIN)
                ),
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_small'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_deal_enable_price_discount',
                    'data-conditional-value' => '1',
                )
            ),
            array(
                'name' => __('Override Discount', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_override_price_discount',
                'desc' => __('Override this discount if Sale is set locally.', WCCT_TEXTDOMAIN),
                'type' => 'checkbox',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_deal_enable_price_discount',
                    'data-conditional-value' => '1',
                )
            ),
            array(
                'name' => __('Discount Help', WCCT_TEXTDOMAIN),
                'id' => '_wcct_discount_help_html',
                'type' => 'wcct_html_content_field',
              'content' => __('Need Help? See docs on', WCCT_TEXTDOMAIN) . ' "<a target="_blank" href="'.add_query_arg( array('utm_source' => 'plugin-admin', 'utm_campaign' => 'finale', 'utm_medium' => 'form_fields', 'utm_term' => 'Help'), 'https://xlplugins.com/documentation/finale-woocommerce-sales-countdown-timer-scheduler-documentation/discount/' ).'">' . __('Discounts Management', WCCT_TEXTDOMAIN) . '"</a> <i class="dashicons dashicons-editor-help"></i>',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_hide_label', 'wcct_html_help'),
            ),
        )
    ),
    array(
        'id' => 'wcct_deal_inventory_settings',
        'title' => __('<i class="flicon flicon-text-file-filled-interface-paper-sheet"></i> Inventory', WCCT_TEXTDOMAIN) . '<span class="wcct_load_spin wcct_load_tab_deal"></span>',
        'position' => 9,
        "fields" => array(
            array(
                'name' => __('Enable', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_enable_goal',
                'type' => 'wcct_switch',
                'label' => array('on' => __('Yes', WCCT_TEXTDOMAIN), 'off' => __('No', WCCT_TEXTDOMAIN)),
                'row_classes' => array('wcct_detect_checkbox_change', 'wcct_gif_location', 'wcct_gif_appearance', 'wcct_no_border'),
                'wcct_accordion_title' => __('Inventory Goal', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => true,
            ),
            array(
                'content' => __('Enable this to define units of item to be sold during campaign.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_inventory_goal_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
            ),
            array(
                'name' => __('Quantity to be Sold', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_units',
                'type' => 'radio_inline',
                'row_classes' => array('wcct_no_border'),

                'options' => array(
                    'custom' => __("Custom Stock Quantity", WCCT_TEXTDOMAIN),
                    'same' => __("Existing Stock Quantity", WCCT_TEXTDOMAIN)
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                )
            ),
            array(
                'name' => __('Same Inventory Label', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_same_inventory_html',
                'content' => __('This will pick up stock quantity of individual product and applicable when Manage Stock in product is ON.', WCCT_TEXTDOMAIN),
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
                'attributes' => array(
                    'data-wcct-conditional-id' => '_wcct_deal_units',
                    'data-wcct-conditional-value' => 'same',
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Quantity', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_custom_units',
                'type' => 'text_small',
                'row_classes' => array('wcct_text_extra_small', 'wcct_border_top','wcct_no_border'),
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-wcct-conditional-id' => '_wcct_deal_units',
                    'data-wcct-conditional-value' => 'custom',
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Inventory Advcnaced HTML', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_inventory_advanced_html',
                'content' => __('In case of variable products, \'Total Quantity\'  is the sum of all product variations available for purchase & \'Custom Quantity\' is the new overall quantity of a product available for purchase.', WCCT_TEXTDOMAIN),
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_label_gap', 'wcct_pt0', 'wcct_pb10', 'row_title_classes', 'wcct_small_text'),
                'attributes' => array(
                    'data-wcct-conditional-id' => '_wcct_deal_units',
                    'data-wcct-conditional-value' => 'custom',
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Calculate Sold Units (for counter bar)', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_inventory_goal_for',
                'type' => 'radio_inline',
                'desc' => 'Need help? <a href="javascript:void(0);" onclick="wcct_show_tb(\'' . __('Inventory Sold Units Help', WCCT_TEXTDOMAIN) . '\',\'wcct_inventory_sold_unit_help\');">' . __('Learn More', WCCT_TEXTDOMAIN) . '</a>',
                'options' => array(
                    'recurrence' => __("Current Occurrence", WCCT_TEXTDOMAIN),
                    'campaign' => __("Overall Campaign", WCCT_TEXTDOMAIN),
                ),
                'row_classes' => array('wcct_text_extra_small','wcct_light_desc'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),

            array(
                'name' => __('Setup campaign on Out of Stock Products', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_custom_units_allow_backorder',
                'type' => 'radio_inline',
                'options' => array(
                    'yes' => __("Yes", WCCT_TEXTDOMAIN),
                    'no' => __("No", WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-wcct-conditional-id' => '_wcct_deal_units',
                    'data-wcct-conditional-value' => 'custom',
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('End Campaign', WCCT_TEXTDOMAIN),
                'id' => '_wcct_deal_end_campaign',
                'type' => 'radio_inline',
                'options' => array(
                    'yes' => __("Yes", WCCT_TEXTDOMAIN),
                    'no' => __("No", WCCT_TEXTDOMAIN),
                ),
                'desc' => __('When all the units set up in the campaign are sold.', WCCT_TEXTDOMAIN),
                'row_classes' => array('wcct_text_extra_small','wcct_light_desc'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_deal_enable_goal',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Inventory Help', WCCT_TEXTDOMAIN),
                'id' => '_wcct_inventory_help_html',
                'type' => 'wcct_html_content_field',
                'content' => __('Need Help? See docs on', WCCT_TEXTDOMAIN) . ' "<a target="_blank" href="'.add_query_arg( array('utm_source' => 'plugin-admin', 'utm_campaign' => 'finale', 'utm_medium' => 'form_fields', 'utm_term' => 'Help'), 'https://xlplugins.com/documentation/finale-woocommerce-sales-countdown-timer-scheduler-documentation/inventory/' ).'">' . __('Inventory Management', WCCT_TEXTDOMAIN) . '"</a> <i class="dashicons dashicons-editor-help"></i>',
              'row_classes' => array('wcct_combine_2_field_end', 'wcct_hide_label', 'wcct_html_help'),
            ),
        )
    ),

    array(
        'id' => 'wcct_apperance_settings',
        'title' => __('<i class="flicon flicon-old-elevator-levels-tool"></i> Elements', WCCT_TEXTDOMAIN) . '<span class="wcct_load_spin wcct_load_tab_appearance"></span>',
        'position' => 15,
        'fields' => array(
            // countdown timer single product
            array(
                'name' => __('Visibility', WCCT_TEXTDOMAIN),
                'id' => '_wcct_location_timer_show_single',
                'type' => 'wcct_switch',
                'row_classes' => array('wcct_no_border'),
                'default' => 0,
                'label' => array('on' => __('Show', WCCT_TEXTDOMAIN), 'off' => __('Hide', WCCT_TEXTDOMAIN)),
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'wcct_accordion_title' => __('Single Product Countdown Timer', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => true,
            ),
            array(
                'id' => '_wcct_location_timer_show_single_html',
                'content' => __('Enable this to show Countdown Timer on the Single Product.', WCCT_TEXTDOMAIN),
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
            ),
            array(
                'name' => 'Position',
                'id' => '_wcct_location_timer_single_location',
                'type' => 'select',
                'options' => array(
                    '1' => __('Above the Title', WCCT_TEXTDOMAIN),
                    '2' => __('Below the Title', WCCT_TEXTDOMAIN),
                    '3' => __('Below the Review Rating', WCCT_TEXTDOMAIN),
                    '4' => __('Below the Price', WCCT_TEXTDOMAIN),
                    '5' => __('Below Short Description', WCCT_TEXTDOMAIN),
                    '6' => __('Below Add to Cart Button', WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => 'Countdown Timer',
                'id' => '_wcct_appearance_timer_single_skin',
                'type' => 'radio_inline',
                'before' => '<p class="wcct_mt5 wcct_mb5">Skins</p>',
                'options' => array(
                    'round_fill' => __('Round Fill', WCCT_TEXTDOMAIN),
                    'round_ghost' => __('Round Ghost', WCCT_TEXTDOMAIN),
                    'square_fill' => __('Square Fill', WCCT_TEXTDOMAIN),
                    'square_ghost' => __('Square Ghost', WCCT_TEXTDOMAIN),
                    'highlight_1' => __('Highlight', WCCT_TEXTDOMAIN),
                    'default' => __('Default', WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_circle.jpg" />',
                'id' => '_wcct_appearance_timer_single_round_fill_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'round_fill',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_ghost.jpg" />',
                'id' => '_wcct_appearance_timer_single_round_ghost_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'round_ghost',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_square.jpg" />',
                'id' => '_wcct_appearance_timer_single_square_fill_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'square_fill',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_square_ghost.jpg" />',
                'id' => '_wcct_appearance_timer_single_square_ghost_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'square_ghost',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_text.jpg" />',
                'id' => '_wcct_appearance_timer_single_highlight_1_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'highlight_1',
                ),
            ),
            array(
                'content' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/timer_text_simple.jpg" />',
                'id' => '_wcct_appearance_timer_single_default_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('wcct_hide_label', 'wcct_label_gap', 'wcct_p0','wcct_no_border'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_timer_single_skin',
                    'data-wcct-conditional-value' => 'default',
                ),
            ),
            array(
                'content' => __('Note: You may need to adjust the default appearance settings in case you switch the default skin.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_html_coutdown_help_2',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Color', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_bg_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Background/Border</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),

            array(
                'name' => __('Text Color', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_text_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_end'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Label</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Font Size (px)', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_font_size_timer',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Timer Font Size (px)</p>',
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Font Size', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_font_size',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_color', 'wcct_text_gap'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Label Font Size (px)</p>',
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Days', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_label_days',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Timer Labels</p>',
                'after' => '<p class="wcct_mt5 wcct_mb5">days</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Hours', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_label_hrs',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_middle', 'wcct_text_color', 'wcct_text_gap'),
                'before' => '<p class="wcct_mt5 wcct_mb5">&nbsp;</p>',
                'after' => '<p class="wcct_mt5 wcct_mb5">hours</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Minutes', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_label_mins',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_middle', 'wcct_text_color', 'wcct_text_gap'),
                'before' => '<p class="wcct_mt5 wcct_mb5">&nbsp;</p>',
                'after' => '<p class="wcct_mt5 wcct_mb5">minutes</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Timer Seconds', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_label_secs',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_color', 'wcct_text_gap'),
                'before' => '<p class="wcct_mt5 wcct_mb5">&nbsp;</p>',
                'after' => '<p class="wcct_mt5 wcct_mb5">seconds</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Display Single Product', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_display',
                'type' => 'textarea_small',
                'desc' => __('{{countdown_timer}}: Outputs the countdown timer. ', WCCT_TEXTDOMAIN),
                'row_classes' => array('wcct_hide_label', 'wcct_light_desc'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Display</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Single Border Style', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_border_style',
                'type' => 'select',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Style</p>',
                'options' => array(
                    'dotted' => __('Dotted', WCCT_TEXTDOMAIN),
                    'dashed' => __('Dashed', WCCT_TEXTDOMAIN),
                    'solid' => __('Solid', WCCT_TEXTDOMAIN),
                    'double' => __('Double', WCCT_TEXTDOMAIN),
                    'none' => __('None', WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Single Border Width', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_border_width',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_middle', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Width (px)</p>',
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Single Border Color', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_timer_single_border_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_gap', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Color</p>',
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_timer_show_single',
                    'data-conditional-value' => '1',
                ),
            ),

            // counter bar single product
            array(
                'name' => __('Visibility', WCCT_TEXTDOMAIN),
                'id' => '_wcct_location_bar_show_single',
                'type' => 'wcct_switch',
                'row_classes' => array('wcct_no_border'),
                'label' => array('on' => __('Show', WCCT_TEXTDOMAIN), 'off' => __('Hide', WCCT_TEXTDOMAIN)),
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'wcct_accordion_title' => __('Single Product Counter Bar', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => true,
            ),
            array(
                'id' => '_wcct_location_bar_show_single_html',
                'content' => __('Enable this to show Counter Bar on the Single Product.<br/><strong>Inventory Goal</strong> should be <strong>enabled</strong> to display the Counter Bar.', WCCT_TEXTDOMAIN),
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
            ),
            array(
                'name' => 'Position',
                'id' => '_wcct_location_bar_single_location',
                'type' => 'select',
                'options' => array(
                    '1' => __('Above the Title', WCCT_TEXTDOMAIN),
                    '2' => __('Below the Title', WCCT_TEXTDOMAIN),
                    '3' => __('Below the Review Rating', WCCT_TEXTDOMAIN),
                    '4' => __('Below the Price', WCCT_TEXTDOMAIN),
                    '5' => __('Below Short Description', WCCT_TEXTDOMAIN),
                    '6' => __('Below Add to Cart Button', WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_deal_enable_goal',
                    'data-wcct-conditional-value' => 'on',
                ),
            ),
            array(
                'name' => __('Counter Bar', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_skin',
                'type' => 'radio_inline',
                'options' => array(
                    'stripe' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/bar-capsule-lines.jpg" />',
                    'stripe_animate' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/bar-capsule-animated.gif" />',
                    'fill' => '<img src="' . plugin_dir_url(WCCT_PLUGIN_FILE) . 'assets/img/bar-capsule.jpg" />',
                ),
                'row_classes' => array('wcct_img_options'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Skins</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Edges', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_edges',
                'type' => 'radio_inline',
                'options' => array(
                    'rounded' => __('Rounded', WCCT_TEXTDOMAIN),
                    'smooth' => __('Smooth', WCCT_TEXTDOMAIN),
                    'sharp' => __('Sharp', WCCT_TEXTDOMAIN),
                ),
                'row_classes' => array('wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Edges</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Direction', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_orientation',
                'type' => 'radio_inline',
                'options' => array(
                    'ltr' => __('Left to Right', WCCT_TEXTDOMAIN) . ' ( <i class="dashicons dashicons-arrow-right-alt"></i> )',
                    'rtl' => __('Right to Left', WCCT_TEXTDOMAIN) . ' ( <i class="dashicons dashicons-arrow-left-alt"></i> )',
                ),
                'row_classes' => array('wcct_hide_label', 'wcct_no_border', 'wcct_pb5'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Direction</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'content' => __('This moves counter bar left to right. Use this when you want to indicate increase in sales.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_ltr_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_bar_single_orientation',
                    'data-wcct-conditional-value' => 'ltr',
                ),
            ),
            array(
                'content' => __('This moves counter bar right to left. Use this when you want to indicate decrease in stocks.', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_rtl_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_small_text', 'wcct_label_gap', 'wcct_pt0'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                    'data-wcct-conditional-id' => '_wcct_appearance_bar_single_orientation',
                    'data-wcct-conditional-value' => 'rtl',
                ),
            ),
            array(
                'name' => __('Counter Bar', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_bg_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Background/Border</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Active Color', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_active_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_middle', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Active</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Height', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_height',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Height (px)</p>',
                'attributes' => array(
                    'type' => 'number',
                    'min' => '5',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Display', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_display',
                'type' => 'textarea_small',
                'row_classes' => array('wcct_hide_label', 'wcct_light_desc'),
                'desc' => '<a href="javascript:void(0);" onclick="wcct_show_tb(\'Counter Bar Merge Tags\',\'wcct_merge_tags_invenotry_bar_help\');">Click here to learn to set up more dynamic merge tags in counter bar</a>',
                'before' => '<p class="wcct_mt5 wcct_mb5">Display</p>',
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Border Style', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_border_style',
                'type' => 'select',
                'row_classes' => array('wcct_combine_2_field_start', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Style</p>',
                'options' => array(
                    'dotted' => __('Dotted', WCCT_TEXTDOMAIN),
                    'dashed' => __('Dashed', WCCT_TEXTDOMAIN),
                    'solid' => __('Solid', WCCT_TEXTDOMAIN),
                    'double' => __('Double', WCCT_TEXTDOMAIN),
                    'none' => __('None', WCCT_TEXTDOMAIN),
                ),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Border Width', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_border_width',
                'type' => 'text_small',
                'row_classes' => array('wcct_combine_2_field_middle', 'wcct_text_color', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Width (px)</p>',
                'attributes' => array(
                    'type' => 'number',
                    'min' => '0',
                    'pattern' => '\d*',
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            array(
                'name' => __('Bar Border Color', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_bar_single_border_color',
                'type' => 'colorpicker',
                'row_classes' => array('wcct_combine_2_field_end', 'wcct_text_gap', 'wcct_hide_label'),
                'before' => '<p class="wcct_mt5 wcct_mb5">Border Color</p>',
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'attributes' => array(
                    'data-conditional-id' => '_wcct_location_bar_show_single',
                    'data-conditional-value' => '1',
                ),
            ),
            // sticky header
            array(
                'name' => __('Visibility', WCCT_TEXTDOMAIN),
                'id' => '_wcct_location_timer_show_sticky_header',
                'type' => 'wcct_html_content_field',
                'label' => array('on' => __('Show', WCCT_TEXTDOMAIN), 'off' => __('Hide', WCCT_TEXTDOMAIN)),
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'content' => '',
                'wcct_accordion_title' => __('Sticky Header <i class="dashicons dashicons-lock wcct_lock_upgrade"></i>', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => false,
            ),


            // sticky footer
            array(
                'name' => __('Visibility', WCCT_TEXTDOMAIN),
                'id' => '_wcct_location_timer_show_sticky_footer',
                'type' => 'wcct_html_content_field',
                'default' => 0,
                'content' => '',
                'label' => array('on' => __('Show', WCCT_TEXTDOMAIN), 'off' => __('Hide', WCCT_TEXTDOMAIN)),
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'wcct_accordion_title' => __('Sticky Footer <i class="dashicons dashicons-lock wcct_lock_upgrade"></i>', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => false,
            ),

            // custom text
            array(
                'name' => __('Visibility', WCCT_TEXTDOMAIN),
                'id' => '_wcct_location_timer_show_custom_text',
                'type' => 'wcct_html_content_field',
                'default' => 0,
                'content' => '',
                'label' => array('on' => __('Show', WCCT_TEXTDOMAIN), 'off' => __('Hide', WCCT_TEXTDOMAIN)),
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'wcct_accordion_title' => __('Custom Text <i class="dashicons dashicons-lock wcct_lock_upgrade"></i>', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => false,
            ),


            // custom css
            array(
                'name' => __('CSS', WCCT_TEXTDOMAIN),
                'id' => '_wcct_appearance_custom_css',
                'before_row' => array('WCCT_Admin_CMB2_Support', 'cmb_before_row_cb'),
                'row_classes' => array('wcct_textarea_full'),
                'wcct_accordion_title' => __('Custom CSS <i class="dashicons dashicons-lock wcct_lock_upgrade"></i>', WCCT_TEXTDOMAIN),
                'wcct_is_accordion_opened' => false,
                'after_row' => array('WCCT_Admin_CMB2_Support', 'cmb_after_row_cb'),
                'desc' => __('Enter Custom CSS to modify the visual.', WCCT_TEXTDOMAIN),
                'type' => 'wcct_html_content_field',
                'content' => '',
            ),
        )
    ),
    array(
        'id' => 'wcct_help_settings',
        'title' => __('<i class="flicon flicon-lightbulb-filled-interface-sign"></i> Ideas Factory', WCCT_TEXTDOMAIN),
        'position' => 16,
        'fields' => array(
            array(
                'content' => self::wcct_ideas_inner(),
                'id' => '_wcct_help_video_html',
                'type' => 'wcct_html_content_field',
                'row_classes' => array('row_title_classes', 'wcct_row_3col'),
            ),
        )
    ),
    array(
        'id' => 'wcct_coupon_settings',
        'title' => __('<i class="flicon flicon-lock-square-locked-filled-padlock"></i> Coupons', WCCT_TEXTDOMAIN),
        'position' => 17,
        'fields' => array(
            array(
                'name' => '',
                'id' => '_wcct_coupon_buy_pro_html',
                'type' => 'wcct_html_content_field',
                'content' => __('COUPON TEXT HERE', WCCT_TEXTDOMAIN) . "<br/>" . __('Unlock Advanced settings and more awesome features.', WCCT_TEXTDOMAIN) . "<br/><a href='#'>" . __("Upgrade to PRO", WCCT_TEXTDOMAIN) . "</a>",

            ),
        )
    ),
    array(
        'id' => 'wcct_events_settings',
        'title' => __('<i class="flicon flicon-lock-square-locked-filled-padlock"></i> Events', WCCT_TEXTDOMAIN),
        'position' => 18,
        'fields' => array(

            array(
                'name' => '',
                'id' => '_wcct_events_buy_pro_html',
                'type' => 'wcct_html_content_field',
                'content' => __('Want to Tweak Prices and Inventory During Campaigns?', WCCT_TEXTDOMAIN) . "<br/>" . __('Unlock Events and more awesome features.', WCCT_TEXTDOMAIN) . "<br/><a href='#'>" . __("Upgrade to PRO", WCCT_TEXTDOMAIN) . "</a>",

            ),
        ),
    ),
    array(
        'id' => 'wcct_actions_settings',
        'title' => __('<i class="flicon flicon-lock-square-locked-filled-padlock"></i> Actions', WCCT_TEXTDOMAIN),
        'position' => 21,
        'fields' => array(
            array(
                'name' => '',
                'id' => '_wcct_actions_buy_pro_html',
                'type' => 'wcct_html_content_field',
                'content' => __('Create Genuine Scarcity by changing stock status , product visibility or hiding Add to Cart during or after campaigns.', WCCT_TEXTDOMAIN) . "<br/>" . __('Unlock Actions and more awesome features.', WCCT_TEXTDOMAIN) . "<br/><a href='#'>" . __("Upgrade to PRO", WCCT_TEXTDOMAIN) . "</a>",

            ),
        )
    ),
    array(
        'id' => 'wcct_misc_settings',
        'title' => __('<i class="flicon flicon-lock-square-locked-filled-padlock"></i> Advanced', WCCT_TEXTDOMAIN),
        'position' => 24,
        'fields' => array(
            array(
                'name' => '',
                'id' => '_wcct_misc_buy_pro_html',
                'type' => 'wcct_html_content_field',
                'content' => __('Fine Tune Campaigns by changing Add to Cart Button Text and much more.', WCCT_TEXTDOMAIN) . "<br/>" . __('Unlock Advanced settings and more awesome features.', WCCT_TEXTDOMAIN) . "<br/><a href='#'>" . __("Upgrade to PRO", WCCT_TEXTDOMAIN) . "</a>",

            ),
        )
    ),
);
